JBoss API: Class JmsConnectionManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.ra
Class JmsConnectionManager

    java.lang.Object
      |
      +--org.jboss.jms.ra.JmsConnectionManager

All Implemented Interfaces:
  javax.resource.spi.ConnectionManager, java.io.Serializable

public class JmsConnectionManager
extends java.lang.Object
implements javax.resource.spi.ConnectionManager

The resource adapters own ConnectionManager, used in non-managed environments.

Will handle some of the houskeeping an appserver nomaly does.

Created: Thu Mar 29 16:09:26 2001

Version:
  $Revision: 1.1.4.2 $
Author:
  Peter Antman.
See Also:
  Serialized Form

Constructor Summary
`JmsConnectionManager()` Construct a `JmsConnectionManager`.

Method Summary
`java.lang.Object` | `allocateConnection(javax.resource.spi.ManagedConnectionFactory mcf, javax.resource.spi.ConnectionRequestInfo cxRequestInfo)` Allocate a new connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsConnectionManager

    public JmsConnectionManager()

  Construct a `JmsConnectionManager`.

Method Detail

### allocateConnection

    public java.lang.Object allocateConnection(javax.resource.spi.ManagedConnectionFactory mcf,
                                               javax.resource.spi.ConnectionRequestInfo cxRequestInfo)
                                        throws javax.resource.ResourceException

  Allocate a new connection.
  Specified by:
    `allocateConnection` in interface `javax.resource.spi.ConnectionManager`
  Parameters:
    `mcf` -
    `cxRequestInfo` -
  Returns:
    A new connection
  Throws:
    `javax.resource.ResourceException` - Failed to create connection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.